#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int n;
    cin >> n;
    unsigned long long a[n], b[n];
    for(int i = 0; i < n; i++) {
        cin >> a[i];
    }
    for(int i = 0; i < n; i++) {
        cin >> b[i];
    }
    unsigned long long max = 0;
    for(int i = 0; i < n - 1; i++) {
        unsigned long long t = a[i], y = b[i];
        for(int j = i + 1; j < n; j++) {
            t = t xor a[j];
            y = y and b[j];
            if(max < t * y) {
                max = t * y;
            }
        }
    }
    cout << max << endl;
    return 0;
}